% APRENDIZAJE AUTOMÁTICO: UN ENFOQUE PRÁCTICO
% Autores: María Guijarro, P. Javier Herrera y Gonzalo Pajares
% Copyright RA-MA, 2010
% Capítulo 3: COMBINACIÓN DE CLASIFICADORES

function [] = representacion_centros(handles)

global colores c;
global DATOS_CLASES;

cla(handles.axes2); % borra las curvas existentes en la ventana de gráficas y redibuja los ejes coordenados.

%cargar los datos existentes en la Base de Conocimiento
if exist('ParamAprendizaje.mat') ~= 0
    
    set(handles.text20,'String','Se han cargado los datos existentes en la Base de Conocimiento'); % Cuadro de información
    
    load ParamAprendizaje
    
    % Generación del Mapa de Colores para representar clases:
    colores = MapaColores(DATOS_CLASES); 
    
    % c es el número de clases
    [a,c] = size(DATOS_CLASES);
    
    set(handles.edit14,'Enable','on'); % Factor de submuestreo: texto editable
    
else
    set(handles.text20,'String','No se ha realizado proceso de Aprendizaje previo'); % Cuadro de información
    set(handles.edit14,'Enable','off'); % Factor de submuestreo: texto editable
end